Skip to main content
GET
/
lock
/
cpmm
/
position
Get locked CPMM position metadata
curl --request GET \
  --url https://dynamic-ipfs.raydium.io/lock/cpmm/position
{
  "poolInfo": {
    "id": "<string>",
    "mintA": {
      "address": "<string>",
      "decimals": 123,
      "symbol": "<string>"
    },
    "mintB": {
      "address": "<string>",
      "decimals": 123,
      "symbol": "<string>"
    },
    "lpMint": {
      "address": "<string>",
      "decimals": 123,
      "symbol": "<string>"
    },
    "lpPrice": 123
  },
  "positionInfo": {
    "tvlPercentage": 123,
    "usdValue": 123,
    "amountA": 123,
    "amountB": 123,
    "unclaimedFee": {
      "lp": 123,
      "amountA": 123,
      "amountB": 123,
      "usdValue": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.raydium.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

id
string
required

Locked CPMM position PDA public key (base58)

Response

Success

Complete CPMM locked position with pool details and valuation

poolInfo
object
required

Constant Product Market Maker pool information

positionInfo
object
required

CPMM locked position state